package tads.ufpr.pr.br.backstage;

import android.os.Bundle;
import android.support.annotation.Nullable;
import android.support.v4.app.Fragment;
import android.support.v7.widget.LinearLayoutManager;
import android.support.v7.widget.RecyclerView;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import java.util.ArrayList;
import java.util.List;

import Util.DatabaseHandler;

public class Friends extends Fragment {

    Usuario me;
    UsersListAdapter ulad;
    RecyclerView _recView;
    DatabaseHandler databaseHandler;

    @Override
    public View onCreateView(LayoutInflater inflater, @Nullable ViewGroup container, @Nullable Bundle savedInstanceState) {

        View v = inflater.inflate(R.layout.generic_recycler_view_frag, container, false);
        _recView = (RecyclerView)v.findViewById(R.id.recyclerView);

        databaseHandler = new DatabaseHandler(getActivity());
        me = ((AppController)getActivity().getApplication()).getUsuario();

        initFriendList();

        return v;
    }

    private void initFriendList() {

        List<Usuario> lUsers = databaseHandler.getFriends();
        ulad = new UsersListAdapter(lUsers, me);
        ulad.setActivity(getActivity());

        _recView.setAdapter(ulad);

        LinearLayoutManager llm = new LinearLayoutManager(getActivity());
        _recView.setLayoutManager(llm);
        _recView.setHasFixedSize(true);

    }

}
