package tads.ufpr.pr.br.backstage;

import android.content.Intent;
import android.os.Bundle;
import android.support.v4.app.Fragment;
import android.support.v4.app.FragmentManager;
import android.support.v4.app.FragmentStatePagerAdapter;
import android.support.v4.view.ViewPager;
import android.support.v7.app.AppCompatActivity;

import Util.DatabaseHandler;

public class LoginActivity extends AppCompatActivity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_login);

        DatabaseHandler db = new DatabaseHandler(this);
        Usuario u = db.getUser();

        if ( u != null ){

            ((AppController)getApplication()).instantiateInstList(this);

            ((AppController)getApplication()).setUsuario(u);

            //Intent iservice = new Intent(this, GetMessages.class);
            //startService(iservice);

            Intent i = new Intent(this, MainActivity.class);
            startActivity(i);
            finish();

        }

        initViewAndTabs();

    }

    private void initViewAndTabs() {
        ViewPager viewPager = (ViewPager) findViewById(R.id.viewPager);
        ViewPagerAdapter adapter =  new ViewPagerAdapter(getSupportFragmentManager(), 2);
        viewPager.setAdapter(adapter);
    }

    public class ViewPagerAdapter extends FragmentStatePagerAdapter {

        int NumbOfTabs;

        public ViewPagerAdapter(FragmentManager fm, int mNumbOfTabsumb) {
            super(fm);
            this.NumbOfTabs = mNumbOfTabsumb;
        }

        @Override
        public Fragment getItem(int position) {

            if(position == 0)
                return new SignIn();
            else
                return new SignUp();
        }

        @Override
        public int getCount() {
            return NumbOfTabs;
        }
    }
}
