package tads.ufpr.pr.br.backstage;

import android.app.Activity;
import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.BaseAdapter;
import android.widget.TextView;

import java.util.List;

/**
 * Created by kleber.silva.araujo on 25/11/2015.
 */
public class MessagesListAdapter extends BaseAdapter {

    Usuario me;
    Usuario person;
    Context context;
    List<Message> listMessage;

    public MessagesListAdapter(Context context, List<Message> lmessages, Usuario me, Usuario person) {
        this.me = me;
        this.person = person;
        this.context = context;
        this.listMessage = lmessages;
    }

    @Override
    public int getCount() {
        return listMessage.size();
    }

    @Override
    public Object getItem(int position) {
        return listMessage.get(position);
    }

    @Override
    public long getItemId(int position) {
        return position;
    }

    @Override
    public View getView(int position, View convertView, ViewGroup parent) {

        Message m = listMessage.get(position);
        LayoutInflater mInflater = (LayoutInflater) context.getSystemService(Activity.LAYOUT_INFLATER_SERVICE);

        if ( m.getUsuario().getId() == me.getId() )
            convertView = mInflater.inflate(R.layout.list_item_msg_right, null);
        else
            convertView = mInflater.inflate(R.layout.list_item_msg_left, null);

        TextView lblFrom = (TextView) convertView.findViewById(R.id.lblMsgFrom);
        TextView txtMsg = (TextView) convertView.findViewById(R.id.txtMsg);

        if (  m.getUsuario().getId() == me.getId() )
            lblFrom.setText("Eu");
        else
            lblFrom.setText(person.getNome());


        txtMsg.setText(m.getTexto());
        return convertView;
    }
}
