CONTEÚDO DESTE ARQUIVO
-----------------------
   
 * Introdução
 * Requisitos
 * Instalação


INTRODUÇÃO
-----------------------

 * Este arquivo trata da instalação
   e configuração do aplicativo Backstage

 * Para  a instalação e configuração do Web-service
   leia o arquivo README_BACK-END.md


REQUISITOS
-----------------------

 * Para a instalação do aplicativo, será necessário
   ter a versão do mínima Android 4.2(API 17) e a 
   opção de fontes externas habilitada.

 * Para a instalação do projeto, é necessário possuir
   a IDE Android Stúdio


INSTALAÇÃO
-----------------------

 * Copie o arquivo backstage.apk para um diretório
   de sua preferência em seu smartphone. Já em seu
   dispositivo, no diretório previamente escolhido, 
   clique no aplicativo backstage.apk e em instalar.
   Aceite as condições de uso e então estará pronto
   para o uso.

 * Para abrir o projeto em seu Android Studio, copie
   o projeto para o diretório de sua preferência, 
   abra o Android Studio, clique em 'File' -> 'New' e
   em seguida 'Import Project'. 



# README BACK-END #
-----------------------

Repositório de código do aplicativo Backstage.
Colocar aqui todos os códigos-fonte, arquivos de configuração, instaladores e documentação.

## Instalação: ##
-----------------

* Criação de Banco de Dados (PostgreSQL)

1. Criar usuário "myband":
```
#!bash
  sudo su - postgres
  psql
  CREATE ROLE myband SUPERUSER LOGIN PASSWORD 'TCC_TADS';
  \q  # desconectar-se do banco "postgres"...
  exit  # sair da sessão do usuário "postgres"...
```

2. Criar e povoar banco "myband":

```
#!bash
  psql postgres -f ./database/drop_and_create_db.sql
  psql myband myband -f ./database/populate_tables.sql
  psql myband myband  # conectar-se no banco "myband" com usuário "myband"...
```

* Seguindo o Bash script em ` ./REST_API/installer.sh ` para instalar o NginX a partir do pacote OpenResty disponível em https://openresty.org 

## FIM ##
