package tads.ufpr.pr.br.backstage;

import java.io.Serializable;
import java.util.List;

public class Usuario implements Serializable {

    private static final long serialVersionUID = 1L;

    private int id;
    private String nome, email, dtNasc, senha, imagem, sobre;
    private List<String> estilos, influencias;
    private List<Instrumento> instrumentos;
    private double latitude, longitude;
    private String cidade, estado, pais;
    private Double dist;

    public Usuario() {
        super();
    }

    public int getId() {
        return id;
    }

    public void setId(int id) { this.id = id; }

    public String getDtNasc() { return dtNasc; }

    public void setDtNasc(String dtNasc) { this.dtNasc = dtNasc; }

    public String getNome() {
        return nome;
    }

    public void setNome(String nome) {
        this.nome = nome;
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public String getSenha() {
        return senha;
    }

    public void setSenha(String senha) {
        this.senha = senha;
    }

    public List<String> getEstilos() {
        return estilos;
    }

    public void setEstilos(List<String> estilos) {
        this.estilos = estilos;
    }

    public List<String> getInfluencias() {
        return influencias;
    }

    public void setInfluencias(List<String> influencias) {
        this.influencias = influencias;
    }

    public List<Instrumento> getInstrumentos() { return instrumentos; }

    public void setInstrumentos(List<Instrumento> instrumentos) { this.instrumentos = instrumentos; }

    public String getImagem() {
        return imagem;
    }

    public void setImagem(String imagem) { this.imagem = imagem; }

    public String getSobre() { return sobre; }

    public void setSobre(String sobre) { this.sobre = sobre; }

    public double getLatitude() { return latitude; }

    public void setLatitude(double latitude) { this.latitude = latitude; }

    public double getLongitude() { return longitude; }

    public void setLongitude(double longitude) { this.longitude = longitude; }

    public String getCidade() { return cidade; }

    public void setCidade(String cidade) { this.cidade = cidade; }

    public String getEstado() { return estado; }

    public void setEstado(String estado) { this.estado = estado; }

    public String getPais() { return pais; }

    public void setPais(String pais) { this.pais = pais; }

    public Double getDist() { return dist; }

    public void setDist(Double dist) { this.dist = dist; }
}
